<?php
$tdataomega2_uggroups = array();
$tdataomega2_uggroups[".searchableFields"] = array();
$tdataomega2_uggroups[".ShortName"] = "omega2_uggroups";
$tdataomega2_uggroups[".OwnerID"] = "";
$tdataomega2_uggroups[".OriginalTable"] = "omega2_uggroups";


$tdataomega2_uggroups[".pagesByType"] = my_json_decode( "{}" );
$tdataomega2_uggroups[".originalPagesByType"] = $tdataomega2_uggroups[".pagesByType"];
$tdataomega2_uggroups[".pages"] = types2pages( my_json_decode( "{}" ) );
$tdataomega2_uggroups[".originalPages"] = $tdataomega2_uggroups[".pages"];
$tdataomega2_uggroups[".defaultPages"] = my_json_decode( "{}" );
$tdataomega2_uggroups[".originalDefaultPages"] = $tdataomega2_uggroups[".defaultPages"];

//	field labels
$fieldLabelsomega2_uggroups = array();
$fieldToolTipsomega2_uggroups = array();
$pageTitlesomega2_uggroups = array();
$placeHoldersomega2_uggroups = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsomega2_uggroups["Spanish"] = array();
	$fieldToolTipsomega2_uggroups["Spanish"] = array();
	$placeHoldersomega2_uggroups["Spanish"] = array();
	$pageTitlesomega2_uggroups["Spanish"] = array();
	$fieldLabelsomega2_uggroups["Spanish"]["GroupID"] = "Group ID";
	$fieldToolTipsomega2_uggroups["Spanish"]["GroupID"] = "";
	$placeHoldersomega2_uggroups["Spanish"]["GroupID"] = "";
	$fieldLabelsomega2_uggroups["Spanish"]["Label"] = "Label";
	$fieldToolTipsomega2_uggroups["Spanish"]["Label"] = "";
	$placeHoldersomega2_uggroups["Spanish"]["Label"] = "";
	if (count($fieldToolTipsomega2_uggroups["Spanish"]))
		$tdataomega2_uggroups[".isUseToolTips"] = true;
}


	$tdataomega2_uggroups[".NCSearch"] = true;



$tdataomega2_uggroups[".shortTableName"] = "omega2_uggroups";
$tdataomega2_uggroups[".nSecOptions"] = 0;

$tdataomega2_uggroups[".mainTableOwnerID"] = "";
$tdataomega2_uggroups[".entityType"] = 0;
$tdataomega2_uggroups[".connId"] = "omega2_at_localhost";


$tdataomega2_uggroups[".strOriginalTableName"] = "omega2_uggroups";

	



$tdataomega2_uggroups[".showAddInPopup"] = false;

$tdataomega2_uggroups[".showEditInPopup"] = false;

$tdataomega2_uggroups[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataomega2_uggroups[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataomega2_uggroups[".listAjax"] = false;
//	temporary
$tdataomega2_uggroups[".listAjax"] = false;

	$tdataomega2_uggroups[".audit"] = false;

	$tdataomega2_uggroups[".locking"] = false;


$pages = $tdataomega2_uggroups[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataomega2_uggroups[".edit"] = true;
	$tdataomega2_uggroups[".afterEditAction"] = 1;
	$tdataomega2_uggroups[".closePopupAfterEdit"] = 1;
	$tdataomega2_uggroups[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataomega2_uggroups[".add"] = true;
$tdataomega2_uggroups[".afterAddAction"] = 1;
$tdataomega2_uggroups[".closePopupAfterAdd"] = 1;
$tdataomega2_uggroups[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataomega2_uggroups[".list"] = true;
}



$tdataomega2_uggroups[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataomega2_uggroups[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataomega2_uggroups[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataomega2_uggroups[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataomega2_uggroups[".printFriendly"] = true;
}



$tdataomega2_uggroups[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataomega2_uggroups[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataomega2_uggroups[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataomega2_uggroups[".isUseAjaxSuggest"] = true;

$tdataomega2_uggroups[".rowHighlite"] = true;





$tdataomega2_uggroups[".ajaxCodeSnippetAdded"] = false;

$tdataomega2_uggroups[".buttonsAdded"] = false;

$tdataomega2_uggroups[".addPageEvents"] = false;

// use timepicker for search panel
$tdataomega2_uggroups[".isUseTimeForSearch"] = false;


$tdataomega2_uggroups[".badgeColor"] = "008B8B";


$tdataomega2_uggroups[".allSearchFields"] = array();
$tdataomega2_uggroups[".filterFields"] = array();
$tdataomega2_uggroups[".requiredSearchFields"] = array();

$tdataomega2_uggroups[".googleLikeFields"] = array();
$tdataomega2_uggroups[".googleLikeFields"][] = "GroupID";
$tdataomega2_uggroups[".googleLikeFields"][] = "Label";



$tdataomega2_uggroups[".tableType"] = "list";

$tdataomega2_uggroups[".printerPageOrientation"] = 0;
$tdataomega2_uggroups[".nPrinterPageScale"] = 100;

$tdataomega2_uggroups[".nPrinterSplitRecords"] = 40;

$tdataomega2_uggroups[".geocodingEnabled"] = false;










$tdataomega2_uggroups[".pageSize"] = 20;

$tdataomega2_uggroups[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataomega2_uggroups[".strOrderBy"] = $tstrOrderBy;

$tdataomega2_uggroups[".orderindexes"] = array();


$tdataomega2_uggroups[".sqlHead"] = "SELECT GroupID,  	`Label`";
$tdataomega2_uggroups[".sqlFrom"] = "FROM omega2_uggroups";
$tdataomega2_uggroups[".sqlWhereExpr"] = "";
$tdataomega2_uggroups[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataomega2_uggroups[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataomega2_uggroups[".arrGroupsPerPage"] = $arrGPP;

$tdataomega2_uggroups[".highlightSearchResults"] = true;

$tableKeysomega2_uggroups = array();
$tableKeysomega2_uggroups[] = "GroupID";
$tdataomega2_uggroups[".Keys"] = $tableKeysomega2_uggroups;


$tdataomega2_uggroups[".hideMobileList"] = array();




//	GroupID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "GroupID";
	$fdata["GoodName"] = "GroupID";
	$fdata["ownerTable"] = "omega2_uggroups";
	$fdata["Label"] = GetFieldLabel("omega2_uggroups","GroupID");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "GroupID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "GroupID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataomega2_uggroups["GroupID"] = $fdata;
		$tdataomega2_uggroups[".searchableFields"][] = "GroupID";
//	Label
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "Label";
	$fdata["GoodName"] = "Label";
	$fdata["ownerTable"] = "omega2_uggroups";
	$fdata["Label"] = GetFieldLabel("omega2_uggroups","Label");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Label";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Label`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=300";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataomega2_uggroups["Label"] = $fdata;
		$tdataomega2_uggroups[".searchableFields"][] = "Label";


$tables_data["omega2_uggroups"]=&$tdataomega2_uggroups;
$field_labels["omega2_uggroups"] = &$fieldLabelsomega2_uggroups;
$fieldToolTips["omega2_uggroups"] = &$fieldToolTipsomega2_uggroups;
$placeHolders["omega2_uggroups"] = &$placeHoldersomega2_uggroups;
$page_titles["omega2_uggroups"] = &$pageTitlesomega2_uggroups;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["omega2_uggroups"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["omega2_uggroups"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_omega2_uggroups()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "GroupID,  	`Label`";
$proto0["m_strFrom"] = "FROM omega2_uggroups";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "GroupID",
	"m_strTable" => "omega2_uggroups",
	"m_srcTableName" => "omega2_uggroups"
));

$proto6["m_sql"] = "GroupID";
$proto6["m_srcTableName"] = "omega2_uggroups";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "Label",
	"m_strTable" => "omega2_uggroups",
	"m_srcTableName" => "omega2_uggroups"
));

$proto8["m_sql"] = "`Label`";
$proto8["m_srcTableName"] = "omega2_uggroups";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "omega2_uggroups";
$proto11["m_srcTableName"] = "omega2_uggroups";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "GroupID";
$proto11["m_columns"][] = "Label";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "omega2_uggroups";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "omega2_uggroups";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="omega2_uggroups";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_omega2_uggroups = createSqlQuery_omega2_uggroups();


	
		;

		

$tdataomega2_uggroups[".sqlquery"] = $queryData_omega2_uggroups;



$tableEvents["omega2_uggroups"] = new eventsBase;
$tdataomega2_uggroups[".hasEvents"] = false;

?>